/* Caja x2goumount
 * Copyright (C) 2005 The GNOME Foundation
 * Copyright (C) 2007-2015 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
 * Copyright (C) 2007-2015 Heinz-Markus Graesing <heinz-m.graesing@obviously-nice.de>
 * Copyright (C) 2013-2015 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 *
 * This Program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This Program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this Library; see the file COPYING.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <config.h>
#include <stdio.h>
#include <glib/gi18n-lib.h>
#include "caja-x2goumount.h"
void caja_module_initialize (GTypeModule*module)
{
	caja_x2goumount_register_type (module);
	if(!bindtextdomain (GETTEXT_PACKAGE, LOCALEDIR))
	{
	      printf("failed bind domain %s %s\n",GETTEXT_PACKAGE, LOCALEDIR);
	}
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
	textdomain(GETTEXT_PACKAGE);
}

void caja_module_shutdown (void)
{
}

void caja_module_list_types (const GType **types, int *num_types)
{
	static GType type_list[1];
	
	type_list[0] = CAJA_X2GOUMOUNT_TYPE;
	*types = type_list;

	*num_types = 1;
}

