/* Caja x2goumount
 * Copyright (C) 2005 The GNOME Foundation
 * Copyright (C) 2007-2015 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
 * Copyright (C) 2007-2015 Heinz-Markus Graesing <heinz-m.graesing@obviously-nice.de>
 * Copyright (C) 2013-2015 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 *
 * This Program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This Program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this Library; see the file COPYING.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef CAJA_X2GOUMOUNT_H
#define CAJA_X2GOUMOUNT_H

#include <glib-object.h>

G_BEGIN_DECLS

#define CAJA_X2GOUMOUNT_TYPE  (caja_x2goumount_get_type ())
#define CAJA_X2GOUMOUNT(o)	 (G_TYPE_CHECK_INSTANCE_CAST ((o), CAJA_X2GOUMOUNT_TYPE, CajaX2GoUmount))
#define CAJA_X2GOUMOUNT_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), CAJA_X2GOUMOUNT_TYPE, CajaX2GoUmountClass))
#define CAJA_IS_X2GOUMOUNT(o) 				(G_TYPE_CHECK_INSTANCE_TYPE ((o), CAJA_X2GOUMOUNT_TYPE))
#define CAJA_IS_X2GOUMOUNT_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), CAJA_X2GOUMOUNT_TYPE))
#define CAJA_X2GOUMOUNT_GET_CLASS(o)		(G_TYPE_INSTANCE_GET_CLASS ((obj), CAJA_X2GOUMOUNT_TYPE, CajaX2GoUmountClass))

typedef struct _CajaX2GoUmount CajaX2GoUmount;
typedef struct _CajaX2GoUmountClass CajaX2GoUmountClass;

struct _CajaX2GoUmount 
{
	GObject __parent;
	gboolean dispose_has_run;
};

struct _CajaX2GoUmountClass
{
	GObjectClass __parent;
};

GType caja_x2goumount_get_type (void);
void caja_x2goumount_register_type (GTypeModule *module);

G_END_DECLS

#endif /* CAJA_X2GOUMOUNT_H */

